Skip to main content

List Members of Organization

This page contains information intended for the Discontinued Organization Plans.

If you are using Flexible/Enterprise plan, please visit this page.

GET https://deploygate.com/api/organizations/{ORGANIZATION_NAME}/members

Acquire a list containing user information of all members within an Organization.


Path Params

NameTypeRequiredDescription
ORGANIZATION_NAMEstringtrueOrganization Name

Example

curl \
-X GET \
--url "https://deploygate.com/api/organizations/${ORGANIZATION_NAME}/members" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${API_TOKEN}"

Result 200

Invited Users

Users who have already been sent an invitation email but have not yet completed their DeployGate registration are also included in the response, with "inviting": true. In this case, the username will be the email address.

{
"error": false,
"members": [
{
"type": "User",
"name": "${USERNAME}",
"display_name": "${USER_DISPLAY_NAME}",
"icon_url": "https://secure.gravatar.com/avatar/${USERNAME}",
"url": "https://deploygate.com/users/${USERNAME}"
},
{
"type": "User",
"name": "${EMAIL}",
"display_name": null,
"icon_url": "https://secure.gravatar.com/avatar/default",
"inviting": true,
"url": "https://deploygate.com/users/${EMAIL}"
}
]
}

Result 400

{}